Contributors octopusinvitro

Last run failed with status code 1.

Console output of last run

Injecting configuration and compiling... [1G [1G-----> Ruby app detected [1G-----> Compiling Ruby [1G-----> Using Ruby version: ruby-2.3.4 [1G-----> Installing dependencies using bundler 1.15.2 [1G Running: bundle install --without development:test --path vendor/bundle --binstubs vendor/bundle/bin -j4 --deployment [1G Fetching gem metadata from https://rubygems.org/........ [1G Fetching version metadata from https://rubygems.org/.. [1G Fetching dependency metadata from https://rubygems.org/. [1G Fetching https://github.com/openaustralia/scraperwiki-ruby.git [1G Fetching https://github.com/everypolitician/twitter_list.git [1G Fetching addressable 2.4.0 [1G Fetching buftok 0.2.0 [1G Using bundler 1.15.2 [1G Fetching unf_ext 0.0.7.2 [1G Installing buftok 0.2.0 [1G Fetching equalizer 0.0.10 [1G Installing addressable 2.4.0 [1G Installing equalizer 0.0.10 [1G Fetching multipart-post 2.0.0 [1G Fetching http-form_data 1.0.1 [1G Installing multipart-post 2.0.0 [1G Installing unf_ext 0.0.7.2 with native extensions [1G Installing http-form_data 1.0.1 [1G Fetching http_parser.rb 0.6.0 [1G Fetching httpclient 2.8.0 [1G Installing http_parser.rb 0.6.0 with native extensions [1G Installing httpclient 2.8.0 [1G Using json 1.8.3 [1G Fetching thread_safe 0.3.5 [1G Installing thread_safe 0.3.5 [1G Fetching naught 1.1.0 [1G Installing naught 1.1.0 [1G Fetching sqlite3 1.3.11 [1G Installing sqlite3 1.3.11 with native extensions [1G Fetching simple_oauth 0.3.1 [1G Installing simple_oauth 0.3.1 [1G Fetching faraday 0.9.2 [1G Installing faraday 0.9.2 [1G Fetching memoizable 0.4.2 [1G Installing memoizable 0.4.2 [1G Fetching unf 0.1.4 [1G Installing unf 0.1.4 [1G Fetching domain_name 0.5.20160615 [1G Installing domain_name 0.5.20160615 [1G Fetching http-cookie 1.0.2 [1G Installing http-cookie 1.0.2 [1G Fetching http 1.0.4 [1G Installing http 1.0.4 [1G Fetching twitter 5.16.0 [1G Installing twitter 5.16.0 [1G Using twitter_list 0.0.2 from https://github.com/everypolitician/twitter_list.git (at master@06ec0b4) [1G Fetching sqlite_magic 0.0.6 [1G Installing sqlite_magic 0.0.6 [1G Using scraperwiki 3.0.1 from https://github.com/openaustralia/scraperwiki-ruby.git (at morph_defaults@fc50176) [1G Bundle complete! 2 Gemfile dependencies, 24 gems now installed. [1G Gems in the groups development and test were not installed. [1G Bundled gems are installed into ./vendor/bundle. [1G Bundle completed (19.20s) [1G Cleaning up the bundler cache. [1G-----> Detecting rake tasks [1G [1G ###### WARNING: [1G You have not declared a Ruby version in your Gemfile. [1G To set your Ruby version add this line to your Gemfile: [1G ruby '2.3.4' [1G # See https://devcenter.heroku.com/articles/ruby-versions for more information. [1G [1G [1G-----> Discovering process types [1G Procfile declares types -> scraper Injecting scraper and running... /app/vendor/bundle/ruby/2.3.0/gems/twitter-5.16.0/lib/twitter/rest/response/raise_error.rb:15:in `on_complete': Invalid or expired token. (Twitter::Error::Unauthorized) from /app/vendor/bundle/ruby/2.3.0/gems/faraday-0.9.2/lib/faraday/response.rb:9:in `block in call' from /app/vendor/bundle/ruby/2.3.0/gems/faraday-0.9.2/lib/faraday/response.rb:57:in `on_complete' from /app/vendor/bundle/ruby/2.3.0/gems/faraday-0.9.2/lib/faraday/response.rb:8:in `call' from /app/vendor/bundle/ruby/2.3.0/gems/faraday-0.9.2/lib/faraday/request/url_encoded.rb:15:in `call' from /app/vendor/bundle/ruby/2.3.0/gems/faraday-0.9.2/lib/faraday/request/multipart.rb:14:in `call' from /app/vendor/bundle/ruby/2.3.0/gems/twitter-5.16.0/lib/twitter/rest/request/multipart_with_file.rb:19:in `call' from /app/vendor/bundle/ruby/2.3.0/gems/faraday-0.9.2/lib/faraday/rack_builder.rb:139:in `build_response' from /app/vendor/bundle/ruby/2.3.0/gems/faraday-0.9.2/lib/faraday/connection.rb:377:in `run_request' from /app/vendor/bundle/ruby/2.3.0/gems/faraday-0.9.2/lib/faraday/connection.rb:140:in `get' from /app/vendor/bundle/ruby/2.3.0/gems/twitter-5.16.0/lib/twitter/rest/request.rb:33:in `perform' from /app/vendor/bundle/ruby/2.3.0/gems/twitter-5.16.0/lib/twitter/cursor.rb:29:in `initialize' from /app/vendor/bundle/ruby/2.3.0/gems/twitter-5.16.0/lib/twitter/rest/utils.rb:107:in `new' from /app/vendor/bundle/ruby/2.3.0/gems/twitter-5.16.0/lib/twitter/rest/utils.rb:107:in `perform_get_with_cursor' from /app/vendor/bundle/ruby/2.3.0/gems/twitter-5.16.0/lib/twitter/rest/lists.rb:430:in `cursor_from_response_with_list' from /app/vendor/bundle/ruby/2.3.0/gems/twitter-5.16.0/lib/twitter/rest/lists.rb:248:in `list_members' from /app/vendor/bundle/ruby/2.3.0/bundler/gems/twitter_list-06ec0b4521a9/lib/twitter_list/scraper.rb:20:in `people' from scraper.rb:9:in `<main>'

Data

Downloaded 995 times by everypolitician SmartVMDev octopusinvitro

To download data sign in with GitHub

Download table (as CSV) Download SQLite database (24 KB) Use the API

rows 10 / 118

Statistics

Average successful run time: less than a minute

Total run time: about 9 hours

Total cpu time used: 13 minutes

Total disk space used: 46.4 KB

History

  • Auto ran revision 771b009d and failed .
    nothing changed in the database
    1 page scraped
  • Auto ran revision 771b009d and failed .
    nothing changed in the database
    1 page scraped
  • Auto ran revision 771b009d and failed .
    nothing changed in the database
    1 page scraped
  • Auto ran revision 771b009d and failed .
    nothing changed in the database
    1 page scraped
  • Auto ran revision 771b009d and failed .
    nothing changed in the database
    1 page scraped
  • ...
  • Created on morph.io

Show complete history